// © Copyrights 2026 Praajna Pattada

#include <iostream>
#include <string>
#include <limits>

struct Date
{
    int Day {};
    std::string Month {};
    int Year {};
    void ShowDate()
    {
        std::cout << "This program\'s compilation date is " << Day << " " << Month << " " << Year << "." << '\n';
    }
};

int main()
{
    Date Today; // Creates a new object of the struct 'Date'

    // Set the date of making this program here
	Today.Day = 8;
    Today.Month = "May";
    Today.Year = 2026;
    Today.ShowDate();
    
    std::cin.clear();
    std::cin.ignore(std::numeric_limits<std::streamsize>::max(), '\n');
    std::cin.get();
    return 0;
}
